.Main__heading {
  color: rgb(0, 180, 228);
  background: linear-gradient(45deg, rgba(0, 180, 228, 1) 0%, rgba(10, 129, 239, 1) 50%, rgba(7, 63, 216, 1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-position: 1% 50%;
  background-size: 200% auto;
  font-weight: bold;
  transition: 0.6s;
}

.Main__container:hover .Main__heading {
  background-position: 99% 50%;
}

.Main__heading span {
  display: block;
  text-transform: uppercase;
}

.Main__heading span:first-of-type {
  font-size: 5rem;
}

.Main__heading span:last-of-type {
  font-size: 1.25rem;
}

.Hero {
  position: relative;
  width: 100%;
  height: 60vh;
}

.Hero::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.2);
  z-index: 1;
  pointer-events: none;
}

.Hero__heading {
  position: absolute;
  top: 35%;
  left: 5%;
  z-index: 2;
  color: #fff;
  font-size: 3.125rem;
  font-weight: bold;
  text-shadow: 0 0 5px #262626;
}

.swiper {
  height: 100%;
  width: 100%;
}

.swiper-slide {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.News,
.Schedule {
  position: relative;
}

.News::before,
.News::after,
.Schedule::before {
  content: "";
  position: absolute;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100px;
  background-color: #fff;
}

.News::before,
.Schedule::before {
  top: 0;
  transform: translate(0, -100%);
  clip-path: polygon(0 0, 0 100%, 100% 100%);
}

.News::after {
  bottom: 0;
  transform: translate(0, 100%);
  clip-path: polygon(0 0, 100% 0, 100% 100%);
}

.Vision {
  background-color: #eff7f9;
  background-image: url("../images/img_bg.webp");
}

.Vision .Main__container {
  padding: 10rem 1rem;
}

.News__list {
  margin-top: 4rem;
}

.News__item {
  border-bottom: 1px solid #ccc;
}

.News__item:first-of-type {
  border-top: 1px solid #ccc;
}

.News__link {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 2rem;
  padding: 1.5rem 0.5rem;
}

.News__link::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 1px;
  background: rgb(0, 180, 228);
  background: linear-gradient(45deg, rgba(0, 180, 228, 1) 0%, rgba(10, 129, 239, 1) 50%, rgba(7, 63, 216, 1) 100%);
  transition: width 0.3s;
}

.News__link:hover::after {
  width: 100%;
}

.News__link .--date {
  padding: 0.25rem 0.5rem;
  background-position: 1% 50%;
  background-size: 200% auto;
  border: 1px solid #262626;
  border-radius: 5px;
  font-size: 0.875rem;
  transition: 0.2s;
}

.News__inner {
  margin-top: 3rem;
  text-align: center;
}

.News__button {
  position: relative;
  display: inline-block;
  padding: 0.25rem;
  text-transform: uppercase;
  color: #00b4e4;
  font-size: 0.875rem;
  transition: opacity 0.3s;
}

.News__button::before,
.News__button::after {
  content: "";
  position: absolute;
  top: 50%;
  display: inline-block;
  width: 80px;
  height: 1px;
  background-color: #00b4e4;
}

.News__button::before {
  left: 0;
  transform: translate(-120%, -50%);
}

.News__button::after {
  right: 0;
  transform: translate(120%, -50%);
}

.News__button:hover {
  opacity: 0.5;
}

.Vision__container {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
}

.Vision__content {
  margin-top: 5rem;
  text-align: right;
}

.Vision__inner {
  margin-top: 2rem;
  padding-right: 2rem;
  text-align: right;
}

.Vision__button {
  position: relative;
  display: inline-block;
  text-transform: uppercase;
  color: #00b4e4;
  font-size: 0.875rem;
  transition: opacity 0.3s;
}

.Vision__button::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(-120%, -50%);
  display: inline-block;
  width: 80px;
  height: 1px;
  background-color: #00b4e4;
}

.Vision__button:hover {
  opacity: 0.5;
}

.Schedule__table {
  width: 100%;
  margin-top: 3rem;
  background-color: #fff;
  border: solid 2px #ccc;
  border-collapse: collapse;
  table-layout: fixed;
  text-align: center;
  word-break: break-word;
}

.Schedule__table th {
  padding: 0.625rem 2%;
  background-color: #0577f7;
  border: solid 1px #ccc;
  text-align: center;
  color: #fff;
}

.Schedule__table td {
  padding: 0.9375rem 2%;
  border: solid 1px #ccc;
}

.Schedule__table td:first-child {
  background-color: #eee;
}

.Schedule__table a {
  color: blue;
  text-decoration: underline;
}

.Resources {
  background-color: #eff7f9;
  background-image: url("../images/img_bg.webp");
}

.Resources__container {
  margin-top: 1.5rem;
}

.Resources__list {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

.Resources__link {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  padding: 1.5rem;
  background-color: rgba(255, 255, 255, 0.5);
  border: 1px solid rgba(16, 154, 228, 0.5);
  text-align: center;
  /* font-weight: bold; */
}

.Resources__link:hover {
  background: linear-gradient(45deg, rgba(0, 180, 228, 1) 0%, rgba(10, 129, 239, 1) 50%, rgba(7, 63, 216, 1) 100%);
  color: #fff;
}

@media (max-width: 1024px) {
  .Vision .Main__container {
    padding: 10rem 2rem;
  }

  .Schedule__container {
    overflow: auto;
  }

  .Schedule__table {
    width: 1050px;
  }
}

@media (max-width: 768px) {
  .Main__heading span:first-of-type {
    font-size: 4rem;
    letter-spacing: -0.1rem;
  }

  .Main__heading span:last-of-type {
    font-size: 1.25rem;
  }

  .Hero__heading {
    font-size: 1.875rem;
  }

  .News__list {
    margin-top: 2rem;
  }

  .News__link {
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
    padding: 1rem 0;
  }

  .News__link .--date {
    padding: 0 0.5rem;
    font-size: 0.75rem;
  }

  .News__link .--title {
    font-size: 0.75rem;
  }

  .News__button {
    font-size: 0.75rem;
  }

  .News::before,
  .News::after,
  .Schedule::before {
    height: 50px;
  }

  .Vision .Main__container {
    padding: 5rem 2rem;
  }

  .Vision__container {
    flex-direction: column;
  }

  .Vision__content {
    margin-top: 2rem;
  }

  .Vision__button {
    font-size: 0.75rem;
  }
}

@media (max-width: 480px) {
  .Main__heading span:first-of-type {
    font-size: 3rem;
    letter-spacing: -0.1rem;
  }

  .Main__heading span:last-of-type {
    margin-top: -0.75rem;
    font-size: 1rem;
  }

  .Hero__heading {
    font-size: 1.5rem;
  }

  .Hero__heading span {
    display: block;
  }

  .Resources__list {
    display: flex;
    flex-direction: column;
  }
}
